Commit 36d6c5d2 authored by Sandip Trivedi's avatar Sandip Trivedi Committed by Jonne Haß
Browse files

Remove unnecessary initializer and comments in Gemfile and add explicit...

Remove unnecessary initializer and comments in Gemfile and add explicit rubyzip gem version in Gemfile with description

closes #6001
parent 2ba2ef1b
...@@ -18,6 +18,7 @@ ...@@ -18,6 +18,7 @@
* Improve the logging messages of Sidekiq messages [#5988](https://github.com/diaspora/diaspora/pull/5988) * Improve the logging messages of Sidekiq messages [#5988](https://github.com/diaspora/diaspora/pull/5988)
* Improve the logging of Eyes output [#5989](https://github.com/diaspora/diaspora/pull/5989) * Improve the logging of Eyes output [#5989](https://github.com/diaspora/diaspora/pull/5989)
* Gracefully handle XML parse errors within federation [#5991](https://github.com/diaspora/diaspora/pull/5991) * Gracefully handle XML parse errors within federation [#5991](https://github.com/diaspora/diaspora/pull/5991)
* Remove zip-zip workaround gem [#6001](https://github.com/diaspora/diaspora/pull/6001)
## Bug fixes ## Bug fixes
* Disable auto follow back on aspect deletion [#5846](https://github.com/diaspora/diaspora/pull/5846) * Disable auto follow back on aspect deletion [#5846](https://github.com/diaspora/diaspora/pull/5846)
......
...@@ -173,9 +173,9 @@ gem "rails-timeago", "2.11.0" ...@@ -173,9 +173,9 @@ gem "rails-timeago", "2.11.0"
gem "logging-rails", "0.5.0", require: "logging/rails" gem "logging-rails", "0.5.0", require: "logging/rails"
# # Workarounds # Reading and writing zip files
# # https://github.com/rubyzip/rubyzip#important-note
gem "rubyzip" gem "rubyzip", "1.1.7"
# Prevent occasions where minitest is not bundled in # Prevent occasions where minitest is not bundled in
# packaged versions of ruby. See following issues/prs: # packaged versions of ruby. See following issues/prs:
......
...@@ -828,7 +828,7 @@ DEPENDENCIES ...@@ -828,7 +828,7 @@ DEPENDENCIES
rspec-rails (= 3.2.1) rspec-rails (= 3.2.1)
rubocop (= 0.31.0) rubocop (= 0.31.0)
ruby-oembed (= 0.8.14) ruby-oembed (= 0.8.14)
rubyzip rubyzip (= 1.1.7)
sass-rails (= 5.0.1) sass-rails (= 5.0.1)
selenium-webdriver (= 2.45.0) selenium-webdriver (= 2.45.0)
shoulda-matchers (= 2.8.0) shoulda-matchers (= 2.8.0)
......
# https://github.com/rubyzip/rubyzip#configuration
# Zip.setup do |c|
# c.on_exists_proc = true
# c.continue_on_exists_proc = true
# c.unicode_names = true
# c.default_compression = Zlib::BEST_COMPRESSION
# end
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment